当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 4 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [已解决]VLC软件包升级问题
帖子发表于 : 2010-06-30 16:04 
头像

注册: 2007-04-26 10:36
帖子: 111
送出感谢: 0 次
接收感谢: 2
今天通过终端执行
引用:
sudo apt-get -f install
命令出现问题,输出的内容如下:
引用:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在更正依赖关系... 完成
将会安装下列额外的软件包:
vlc vlc-nox
建议安装的软件包:
mozilla-plugin-vlc videolan-doc
下列软件包将被升级:
vlc vlc-nox
升级了 2 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 4 个软件包未被升级。
有 1 个软件包没有被完全安装或卸载。
需要下载 0B/5,230kB 的软件包。
解压缩后会消耗掉 229kB 的额外空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 191985 个文件和目录。)
正预备替换 vlc 1.1.0-1~ppa1 (使用 .../vlc_1.1.0-2~ppa1_i386.deb) ...
正在解压缩将用于更替的包文件 vlc ...
dpkg:处理 /var/cache/apt/archives/vlc_1.1.0-2~ppa1_i386.deb (--unpack)时出错:
试图改写 '/usr/lib/vlc/plugins/codec/libsdl_image_plugin.so',而它也在软件包 vlc-nox 0:1.1.0-1~ppa1 中
dpkg-deb: 子进程 粘贴 被信号(断开的管道)终止了
正预备替换 vlc-nox 1.1.0-1~ppa1 (使用 .../vlc-nox_1.1.0-2~ppa1_i386.deb) ...
正在解压缩将用于更替的包文件 vlc-nox ...
dpkg:处理 /var/cache/apt/archives/vlc-nox_1.1.0-2~ppa1_i386.deb (--unpack)时出错:
试图改写 '/usr/lib/vlc/plugins/codec/libx264_plugin.so',而它也在软件包 vlc 0:1.1.0-1~ppa1 中
dpkg-deb: 子进程 粘贴 被信号(断开的管道)终止了
正在处理用于 menu 的触发器...
在处理时有错误发生:
/var/cache/apt/archives/vlc_1.1.0-2~ppa1_i386.deb
/var/cache/apt/archives/vlc-nox_1.1.0-2~ppa1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

看样子是vlc_1.1.0-2~ppa1_i386.deb vlc-nox_1.1.0-2~ppa1_i386.deb两个软件包有错误,之前只是在新立得中点击了标记所有可升级软件包并且应用按钮,结果也是这个错误,请问此题该如何解?


最后由 danieltaoys 编辑于 2010-07-01 7:47,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: [求助]VLC软件包问题
帖子发表于 : 2010-06-30 16:24 

注册: 2008-10-28 20:18
帖子: 3249
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get remove vlc vlc-nox
sudo apt-get install vlc vlc-nox


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [求助]VLC软件包问题
帖子发表于 : 2010-07-01 7:45 
头像

注册: 2007-04-26 10:36
帖子: 111
送出感谢: 0 次
接收感谢: 2
:em06 谢谢2楼的朋友。其实今天早上我也想到了删除后再安装的方法,呵呵,已经成功解决。
引用:
taoys@lenovo:~$sudo apt-get remove vlc vlc-nox
[sudo] password for taoys:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
下列软件包是自动安装的并且现在不需要了:
libxcb-keysyms1 sp-auth libxcb-xv0 libcddb2 libx11-xcb1 libdvbpsi5 libvlc5
libupnp3 libxcb-randr0 libiso9660-7 libvlccore-dev libvlc-dev vlc-data
libtar libxcb-shm0 libvlccore4 libvcdinfo0 libebml0 libmatroska0
libsdl-image1.2
使用'apt-get autoremove'来删除它们
下列软件包将被【卸载】:
sopcast-player vlc vlc-nox
升级了 0 个软件包,新安装了 0 个软件包,要卸载 3 个软件包,有 0 个软件包未被升级。
解压缩后将会空出 14.5MB 的空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 192118 个文件和目录。)
正在删除 sopcast-player ...
正在删除 vlc ...
正在删除 vlc-nox ...
正在处理用于 desktop-file-utils 的触发器...
正在处理用于 python-gmenu 的触发器...
Rebuilding /usr/share/applications/desktop.zh_CN.utf8.cache...
正在处理用于 hicolor-icon-theme 的触发器...
正在处理用于 man-db 的触发器...
正在处理用于 menu 的触发器...
正在处理用于 python-support 的触发器...
taoys@lenovo:~$ sudo apt-get install vlc vlc-nox sopcast-player
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会安装下列额外的软件包:
vlc-plugin-pulse
建议安装的软件包:
mozilla-plugin-vlc videolan-doc
下列【新】软件包将被安装:
sopcast-player vlc vlc-nox vlc-plugin-pulse
升级了 0 个软件包,新安装了 4 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 0B/5,416kB 的软件包。
解压缩后会消耗掉 14.8MB 的额外空间。
您希望继续执行吗?[Y/n]y
选中了曾被取消选择的软件包 vlc-nox。
(正在读取数据库 ... 系统当前总共安装有 191634 个文件和目录。)
正在解压缩 vlc-nox (从 .../vlc-nox_1.1.0-2~ppa1_i386.deb) ...
选中了曾被取消选择的软件包 vlc。
正在解压缩 vlc (从 .../vlc_1.1.0-2~ppa1_i386.deb) ...
选中了曾被取消选择的软件包 vlc-plugin-pulse。
正在解压缩 vlc-plugin-pulse (从 .../vlc-plugin-pulse_1.1.0-2~ppa1_i386.deb) ...
选中了曾被取消选择的软件包 sopcast-player。
正在解压缩 sopcast-player (从 .../sopcast-player_0.4.0~ppa1~lucid4_i386.deb) ...
正在处理用于 man-db 的触发器...
正在处理用于 menu 的触发器...
正在处理用于 desktop-file-utils 的触发器...
正在处理用于 python-gmenu 的触发器...
Rebuilding /usr/share/applications/desktop.zh_CN.utf8.cache...
正在处理用于 hicolor-icon-theme 的触发器...
正在处理用于 python-support 的触发器...
正在设置 vlc-nox (1.1.0-2~ppa1) ...

正在设置 vlc (1.1.0-2~ppa1) ...

正在设置 vlc-plugin-pulse (1.1.0-2~ppa1) ...
正在设置 sopcast-player (0.4.0~ppa1~lucid4) ...
正在处理用于 menu 的触发器...


页首
 用户资料  
 
4 楼 
 文章标题 : Re: [已解决]VLC软件包升级问题
帖子发表于 : 2010-07-05 18:05 

注册: 2008-11-15 10:19
帖子: 261
送出感谢: 0 次
接收感谢: 0 次
vlc最近抽风还是ubuntu抽风呢?这个我就不得而知了


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 4 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 1 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译